(Untitled)

CleanReg Help Index

What is CleanReg

Menu Commands

File menu

Edit menu

View menu

Options menu

Window menu

Help menu

Toolbar Commands

Toolbar


What is CleanReg

CleanReg is best used as a registry monitor program. Running CleanReg can alert you to registry intrusions and help clean up after uninstalling programs or systems. Normally when something is installed on the computer, it is associated with one or more files on a disk. These files usually have the extension EXE or DLL. Also, files used by the program are added to the registry and can have have any extension. Files are added to the registry by the programs that use them and the use is defined by that program. So only the developer of the program knows if the reference is required for proper operation or was added for another reason and is not required. The excellent program ICQ is an example of a program that adds many files to the registry and I have know idea why so I to leave them alone.

CleanReg scans for the files referenced in the registry and provides and easy method to eliminate the reference. In some cases just the reference should be removed by zapping the name, and in other cases an entire high level key needs to be deleted. In other cases the file reference should not be changed. File names that have the extension DLL or EXE are located by testing the system directories and the system PATH environment variable. Not all files, especially DLL's and EXE's need to be in a system defined path, they may located by the using program with the using programs search criteria.

Currently, the registry always grows and never shrinks, old entries are just marked invalid.

The results of the registry scan are displayed in three windows. The windows are:

Files | This single column window is like the list view in Explorer. It displays all of the files referenced in the registry and their status.
Registry | This tree window shows all of the registry with keys and values.
CleanReg | This split window shows the only names of the missing files. That is, files referenced but not found. The upper portion of the split is a single column like the Files window above. The lower portion is the registry keys and of the missing files.

Two other windows are automatically created.

Ignore | This single column window lists the files and registry keys that are initially excluded from the CleanReg window.
Undo | This text window keeps the values of the registry items that are changed. The resulting file can be imported to Regedit to undo the changes

04/17/2000 06:48 AM


What are preferences

The preferences dialog is started from the menu bar->Options->Set preferences.

Do not modify registry
Used for testing and paranoia. If checked, no modifications are made to the registry. Note: The undo file is created from the registry at the time of change or simulated change, not from CleanReg internal tables. If a key is deleted, and then a higher key is deleted, the deleted item will appear in the undo file each time the key is deleted.

Test removable drives when referenced
Uncheck this box if many files are included on CD's, ZIP or JAZ and you don't want them reported. The default is checked.

Test remote drives when referenced
Test mapped drives. [Q.E.D.]

Search environment path for DLL and EXE
The system path is searched when the string value does do not have a file path structure of "drive : \" and ends in ".EXE" or ".DLL." The default is to make the search.

Auto restart search from other end
If checked, the text search is circular in the direction returning to starting location. If unchecked, you are queried.

Auto save undo file
If checked, the undo file is automatically saved at program termination. Note: The file name is CleanRegUndo_YYMMDDhhmm.txt. Another note: Its not Y2K compliant and only uses two digits for the year.

Start with registry tree visible
If not checked, the full registry tree window is not created when CleanReg is started. Most of the processing time in CleanReg is the maintenance of the large treeview. The registry tree may be opened by clicking the tool bar tree icon. The treeview may closed by selecting the window and typing control-F4.

Keyboard DEL key deletes item reg key in ListView
When checked, the registry key is deleted for the selected file. When not checked, the value of the file name is changed to a null string without deleting the key. Default is checked. Prior to version 3.1.2, default was unchecked.

Initial style.
Style of the MDI windows at startup.
0 | Windows are maximized with the CleanReg window on top. This was the default prior to version 3.1.2.
1 | Display all windows in cascaded style. All window titles are visible. This is the default.
2 | Display windows tiled.
3 | Future: Display windows in style of prior execution.

Maximum number of missing files
Set to zero to scan the entire registry. Registry scan and input stops when the quantity of missing files equals this number. Used in demonstration and development.

Maximum search history
How many search strings to save.

OK
Close dialog and save settings.

Cancel
Close dialog without saving settings.

04/17/2000 06:48 AM


Untitled

Window stuff under construction


Menu bar

File menu

Edit menu

View menu

Options menu

Window menu

Help menu


Toolbar

The toolbar is displayed across the top of the application window, below the menu bar. The toolbar provides quick mouse access to the tools used in CleanReg and the display windows.

To hide or display the Toolbar, choose Toolbar from the View menu (ALT, V, T).

Click To

Open a new document.

Open an existing document. CleanReg displays the Open dialog box, in which you can locate and open the desired file.

Save the active document or template with its current name. If you have not named the document, CleanReg displays the Save As dialog box.

Print the active document.

Remove selected data from the document and stores it on the clipboard.

Copy the selection to the clipboard.

Insert the contents of the clipboard at the insertion point.

Find text in the current window. Will only find nodes in a tree view, you can not specify a key path. Find starts at the current selection if there is one, or the last found item. Ctrl-F also opens the find dialog.

Find the next occurrence of the text in the current window. F3 will also perform a find next.

Remove this tree node and all subordinate nodes from the registry.

Remove the key and the data from the registry.

Set the data value to a null or zero length string value.

Add the current selection to the Ignore items list. This does not change the registry.

Remove item from the Ignore items list. This does not change the registry.

Set the current registry tree node to display only missing files.

Set the current registry tree node to display all files.

Set the current registry tree node to display all values: Files and other data.

Select and display the CleanReg main splitter window. This window can not be closed.

Select and display the Ignored items list. This window can not be closed

Select the display file names window.

Select and display the registry tree window. The window is opened if it was closed.

04/17/2000 06:48 AM


Preferences

 Do not modify registry
Used for testing and paranoia. If checked, no modifications are made to the registry. Note: The undo file is created from the registry at the time of change or simulated change, not from CleanReg internal tables. If a key is deleted, and then a higher key is deleted, the deleted item will appear in the undo file each time the key is deleted.

Test removable drives when referenced
Uncheck this box if many files are included on CD's, ZIP or JAZ and you don't want them reported. The default is checked.

Test remote drives when referenced
Test mapped drives. [Q.E.D.]

Search environment path for DLL and EXE
The system path is searched when the string value does do not have a file path structure of "drive : \" and ends in ".EXE" or ".DLL." The default is to make the search.

Auto restart search from other end
If checked, the text search is circular in the direction returning to starting location. If unchecked, you are queried.

Auto save undo file
If checked, the undo file is automatically saved at program termination. Note: The file name is CleanRegUndo_YYMMDDhhmm.txt. Another note: Its not Y2K compliant and only uses two digits for the year.

Start with registry tree visible
If not checked, the full registry tree window is not created when CleanReg is started. Most of the processing time in CleanReg is the maintenance of the large treeview. The registry tree may be opened by clicking the tool bar tree icon. The treeview may closed by selecting the window and typing control-F4.

Keyboard DEL key deletes item reg key in ListView
When checked, the registry key is deleted for the selected file. When not checked, the value of the file name is changed to a null string without deleting the key. Default is checked. Prior to version 3.1.2, default was unchecked.

Initial style.
Style of the MDI windows at startup.
0 | Windows are maximized with the CleanReg window on top. This was the default prior to version 3.1.2.
1 | Display all windows in cascaded style. All window titles are visible. This is the default.
2 | Display windows tiled.
3 | Future: Display windows in style of prior execution.

Maximum search history
How many search strings to save.

OK
Close dialog and save settings.

Cancel
Close dialog without saving settings.

04/17/2000 06:48 AM


Options menu

Options menu commands

The Options menu offers the following commands:

Set preferences | Define operational preferences
Font | Specify element font.
Color | Specify element color.


What is a file

File names are strings with a path. Or no path and end in .DLL or .EXE.

A path is the sequence; letter, colon, backslash followed by characters. Where the characters do not include colon, semi colon and a few others.

04/17/2000 06:48 AM


Zero length

Set the file name to a zero length string. CleanReg refers to this as "Set the value to null"

Use the toolbar button

04/17/2000 06:48 AM


File menu commands

The File menu offers the following commands: If a menu item is not applicable or implemented for the current window, it is grayed and not available.

New | Creates a new document.
Open | Opens an existing document.
Close | Closes an opened document.
Save | Saves an opened document using the same file name.
Save As | Saves an opened document to a specified file name.
Print | Prints a document.
Print Preview | Displays the document on the screen as it would appear printed.
Print Setup | Selects a printer and printer connection.
Send... | Sends the active document through electronic mail.
Exit | Exits CleanReg.


Next Pane Command

Next Pane

<< Write application-specific help here. >>


Send command (File menu)

Use this command to send the active document through electronic mail. This command presents a mail window with the active document attached to it. You may then fill out the To: field, Subject: field, etc., and add text to the body of the message if you wish. When you are finished you may click the "Send" button to send the message.


New command (Window menu)

Use this command to open a new window with the same contents as the active window. You can open multiple document windows to display different parts or views of a document at the same time. If you change the contents in one window, all other windows co ntaining the same document reflect those changes. When you open a new window, it becomes the active window and is displayed on top of all other open windows.


Redo command (Edit menu)

<< Write application-specific help here. >>


Scroll bars

Displayed at the right and bottom edges of the document window. The scroll boxes inside the scroll bars indicate your vertical and horizontal location in the document. You can use the mouse to scroll to other parts of the document.

<< Describe the actions of the various parts of the scrollbar, according to how they behave in your application. >>


Switch to command (application Control menu)

Use this command to display a list of all open applications. Use this "Task List" to switch to or close an application on the list.

Shortcut

Keys: CTRL+ESC

Dialog Box Options

When you choose the Switch To command, you will be presented with a dialog box with the following options:

Task List
Select the application you want to switch to or close.
Switch To
Makes the selected application active.
End Task
Closes the selected application.
Cancel
Closes the Task List box.
Cascade
Arranges open applications so they overlap and you can see each title bar. This option does not affect applications reduced to icons.
Tile
Arranges open applications into windows that do not overlap. This option does not affect applications reduced to icons.
Arrange Icons
Arranges the icons of all minimized applications across the bottom of the screen.


Using Help command (Help menu)

Use this command for instructions about using Help.


System Minimize Command

Minimize command (application Control menu)

Use this command to reduce the CleanReg window to an icon.

Shortcut

Mouse: Click the minimize icon [image] on the title bar.

Keys: ALT+F9


Edit Clear All

Clear All command (Edit menu)

<< Write application-specific help here. >>


Find Dialog

Find dialog box

<< Write application-specific help here. >>


Tile Horizontal command (Window menu)

Use this command to vertically arrange multiple opened windows in a non-overlapped fashion.


Cut command (Edit menu)

Use this command to remove the currently selected data from the document and put it on the clipboard. This command is unavailable if there is no data currently selected.

Cutting data to the clipboard replaces the contents previously stored there.

Shortcuts

Toolbar:

Keys: CTRL+X


Tile command (Window menu)

Use this command to arrange multiple opened windows in a non-overlapped fashion.


Edit Find Command

Find command (Edit menu)

<< Write application-specific help here. >>


Window Arrange Icons Command


Title Bar

<< Show your application's title bar here. >>

The title bar is located along the top of a window. It contains the name of the application and document.

To move the window, drag the title bar. Note: You can also move dialog boxes by dragging their title bars.

A title bar may contain the following elements:

Application Control-menu button

Document Control-menu button

Maximize button

Minimize button

Name of the application

Name of the document

Restore button


Use this command to arrange the icons for minimized windows at the bottom of the main window. If there is an open document window at the bottom of the main window, then some or all of the icons may not be visible because they will be underneath this doc ument window.Split Command (Window menu)


Restore command (Control menu)

Use this command to return the active window to its size and position before you chose the Maximize or Minimize command.


No Help Available

No help is available for this area of the window.


Previous Window command (document Control menu)

Use this command to switch to the previous open document window. CleanReg determines which window is previous according to the order in which you opened the windows.

Shortcut

Keys: SHIFT+CTRL+F6


View Status Bar Command

Status Bar command (View menu)

Use this command to display and hide the Status Bar, which describes the action to be executed by the selected menu item or depressed toolbar button, and keyboard latch state. A check mark appears next to the menu item when the Status Bar is displayed.

See Status Bar for help on using the status bar.


Maximize command (System menu)

Use this command to enlarge the active window to fill the available space.

Shortcut

Mouse: Click the maximize icon [image] on the title bar; or double-click the title bar.

Keys: CTRL+F10 enlarges a document window.


File Exit command

Exit command (File menu)

Use this command to end your CleanReg session. You can also use the Close command on the application Control menu. CleanReg prompts you to save documents with unsaved changes.

Shortcuts

Mouse: Double-click the application's Control menu button.

Keys: ALT+F4


Copy command (Edit menu)

Use this command to copy selected data onto the clipboard. This command is unavailable if there is no data currently selected.

Copying data to the clipboard replaces the contents previously stored there.

Shortcuts

Toolbar:

Keys: CTRL+C


Replace Dialog

Replace dialog box

<< Write application-specific help here. >>


View Toolbar command

Toolbar command (View menu)

Use this command to display and hide the Toolbar, which includes buttons for some of the most common commands in CleanReg, such as File Open. A check mark appears next to the menu item when the Toolbar is displayed.

See Toolbar for help on using the toolbar.


Size command (System menu)

Use this command to display a four-headed arrow so you can size the active window with the arrow keys.

After the pointer changes to the four-headed arrow:

  1. Press one of the DIRECTION keys (left, right, up, or down arrow key) to move the pointer to the border you want to move.

  2. Press a DIRECTION key to move the border.

  3. Press ENTER when the window is the size you want.

Note: This command is unavailable if you maximize the window.

Shortcut

Mouse: Drag the size bars at the corners or edges of the window.


File Open command

<< List your application's document types here >>Open command (File menu)

Use this command to open an existing document in a new window. You can open multiple documents at once. Use the Window menu to switch among the multiple open documents. See Window 1, 2, ... command.

You can create new documents with the New command.

Shortcuts

Toolbar:

Keys: CTRL+O


Undo/Can't Undo command (Edit menu)

<< Your application's user interface for Undo may differ from the one described below. Modify this help text accordingly. >>

Use this command to reverse the last editing action, if possible. The name of the command changes, depending on what the last action was. The Undo command changes to Can't Undo on the menu if you cannot reverse your last action.

Shortcuts

Toolbar:

Keys: CTRL+Z or

ALT-BACKSPACE


No Help Available

No help is available for this message box.

<< If you wish to author help specific to each message box prompt, then remove the AFX_HIDP_xxx values from the [ALIAS] section of your .HPJ file, and author a topic for each AFX_HIDP_xxx value. For example, AFX_HIDP_INVALID_FILENAME is the help t opic for the Invalid Filename message box. >>


Window menu commands

The Window menu offers the following commands, which enable you to arrange multiple views of multiple documents in the application window:

Cascade | Arranges windows in an overlapped fashion.
Tile | Arranges windows in non-overlapped tiles.
Window 1, 2, ... | Goes to specified window.


Use this command to split the active window into panes. You may then use the mouse or the keyboard arrows to move the splitter bars. When you are finished, press the mouse button or enter to leave the splitter bars in their new location. Pressing esca pe keeps the splitter bars in their original location. << In a single document interface application, this command will appear on the View menu. >>1, 2, ... command (Window menu)

CleanReg displays a list of currently open document windows at the bottom of the Window menu. A check mark appears in front of the document name of the active window. Choose a document from this list to make its window active.


Cascade command (Window menu)

Use this command to arrange multiple opened windows in an overlapped fashion.


About command (Help menu)

Use this command to display the copyright notice and version number of your copy of CleanReg.


File Save command

Save command (File menu)

Use this command to save the active document to its current name and directory. When you save a document for the first time, CleanReg displays the Save As dialog box so you can name your document. If you want t o change the name and directory of an existing document before you save it, choose the Save As command.

Shortcuts

Toolbar:

Keys: CTRL+S


Help Using Help Command

Context Help command

Use the Context Help command to obtain help on some portion of CleanReg. When you choose the Toolbar's Context Help button, the mouse pointer will change to an arrow and question mark. Then click somewhere in the CleanReg window, such as another Toolbar button. The Help topic will be shown for the item you clicked.

Shortcut

Keys: SHIFT+F1


File New dialog box

<< Delete this help topic if your application supports only one document type. >>

Specify the type of document you wish to create:


File Save As command

Save As command (File menu)

Use this command to save and name the active document. CleanReg displays the Save As dialog box so you can name your document.

To save a document with its existing name and directory, use the Save command.


Modifying the Document

<< Write application-specific help here that provides an overview of how the user should modify a document using your application.>>


File Open dialog box

The following options allow you to specify which file to open:

File Name
Type or select the filename you want to open. This box lists files with the extension you select in the List Files of Type box.
List Files of Type
Select the type of file you want to open:

<< List your application's file types here. >>

Drives
Select the drive in which CleanReg stores the file that you want to open.
Directories
Select the directory in which CleanReg stores the file that you want to open.
Network...
Choose this button to connect to a network location, assigning it a new drive letter.


Next Window command (document Control menu)

Use this command to switch to the next open document window. CleanReg determines which window is next according to the order in which you opened the windows.

Shortcut

Keys: CTRL+F6


File Close command

Close command (File menu)

Use this command to close all windows containing the active document. CleanReg suggests that you save changes to your document before you close it. If you close a document without saving, you lose all changes made since the last time you saved it. Before closing an untitled document, CleanReg displays the Save As dialog box and suggests that you name and save the document.

You can also close a document by using the Close icon on the document's window, as shown below:


File Save As dialog box

The following options allow you to specify the name and location of the file you're about to save:

File Name
Type a new filename to save a document with a different name. CleanReg adds the extension you specify in the Save File As Type box.
Drives
Select the drive in which you want to store the document.
Directories
Select the directory in which you want to store the document.
Network...
Choose this button to connect to a network location, assigning it a new drive letter.

<< Add other File Save As dialog box options depending on which ones your application chooses via the OFN_ flags of the OPENFILENAME structure used by the CFileDialog. >>


Prev Pane Command

Prev Pane

<< Write application-specific help here. >>


Edit menu commands

The Edit menu offers the following commands:

Undo | Reverse previous editing operation.
Cut | Deletes data from the document and moves it to the clipboard.
Copy | Copies data from the document to the clipboard.
Paste | Pastes data from the clipboard into the document.
Paste Link | Pastes from the clipboard a link to data in another application.
Insert New Object | Inserts and embeds an object, such as a chart or an equation in a document.
Links | List and edit links to embedded documents.


Edit Repeat Command

Repeat command (Edit menu)

Use this command to repeat the last editing command carried out. The Repeat menu item changes to Can't Repeat if you cannot repeat your last action.

Shortcut

Key: F4


Move command (Control menu)

Use this command to display a four-headed arrow so you can move the active window or dialog box with the arrow keys.

Note: This command is unavailable if you maximize the window.

Shortcut

Keys: CTRL+F7


Paste command (Edit menu)

Use this command to insert a copy of the clipboard contents at the insertion point. This command is unavailable if the clipboard is empty.

Shortcuts

Toolbar:

Keys: CTRL+V


View Ruler Command

Ruler command (View menu)

<< Write application-specific help here. >>


File New command

New command (File menu)

Use this command to create a new document in CleanReg. Select the type of new file you want to create in the File New dialog box. << Remove previous sentence if your application supports only one document type. >>

You can open an existing document with the Open command.

Shortcuts

Toolbar:

Keys: CTRL+N


Status Bar

The status bar is displayed at the bottom of the CleanReg window. To display or hide the status bar, use the Status Bar command in the View menu.

The left area of the status bar describes actions of menu items as you use the arrow keys to navigate through menus. This area similarly shows messages that describe the actions of toolbar buttons as you depress them, before releasing them. If after vi ewing the description of the toolbar button command you wish not to execute the command, then release the mouse button while the pointer is off the toolbar button.

The right areas of the status bar indicate which of the following keys are latched down:

Indicator Description

CAP The Caps Lock key is latched down.

NUM The Num Lock key is latched down.

SCRL The Scroll Lock key is latched down.


Close command (Control menus)

Use this command to close the active window or dialog box.

Double-clicking a Control-menu box is the same as choosing the Close command.

Note: If you have multiple windows open for a single document, the Close command on the document Control menu closes only one window at a time. You can close all windows at once with the Close command on the File menu.

Shortcuts

Keys: CTRL+F4 closes a document window

ALT+F4 closes the <<YourType>> window or dialog box


Index command (Help menu)

Use this command to display the opening screen of Help. From the opening screen, you can jump to step-by-step instructions for using CleanReg and various types of reference information.

Once you open Help, you can click the Contents button whenever you want to return to the opening screen.


Edit Replace Command

Replace command (Edit menu)

<< Write application-specific help here. >>


Help menu commands

The Help menu offers the following commands, which provide you assistance with this application:

Help Topics | Offers you an index to topics on which you can get help.
About | Displays the version number.


Edit Clear Command

Clear command (Edit menu)

<< Write application-specific help here. >>


Choose Font Dialog

Choose Font dialog box

Select font for the current window or the application.


Choose Color Dialog

Choose Color dialog box

<< Write application-specific help here. >>


File 1, 2, 3, 4 command

1, 2, 3, 4 command (File menu)

Use the numbers and filenames listed at the bottom of the File menu to open the last four documents you closed. Choose the number that corresponds with the document you want to open.


View menu commands

The View menu offers the following commands:

Toolbar | Shows or hides the toolbar.
Status Bar | Shows or hides the status bar.


Tile Vertical command (Window menu)

Use this command to arrange multiple opened windows side by side.


Print Setup dialog box

The following options allow you to select the destination printer and its connection.

Printer
Select the printer you want to use. Choose the Default Printer; or choose the Specific Printer option and select one of the current installed printers shown in the box. You install printers and configure ports using the Windows Control Panel.
Orientation
Choose Portrait or Landscape.
Paper Size
Select the size of paper that the document is to be printed on.
Paper Source
Some printers offer multiple trays for different paper sources. Specify the tray here.
Options
Displays a dialog box where you can make additional choices about printing, specific to the type of printer you have selected.
Network...
Choose this button to connect to a network location, assigning it a new drive letter.


Print Preview toolbar

The print preview toolbar offers you the following options:

Print
Bring up the print dialog box, to start a print job.
Next Page
Preview the next printed page.
Prev Page
Preview the previous printed page.
One Page / Two Page
Preview one or two printed pages at a time.
Zoom In
Take a closer look at the printed page.
Zoom Out
Take a larger look at the printed page.
Close
Return from print preview to the editing window.


Print dialog box

The following options allow you to specify how the document should be printed:

Printer
This is the active printer and printer connection. Choose the Setup option to change the printer and printer connection.
Setup
Displays a Print Setup dialog box, so you can select a printer and printer connection.
Print Range
Specify the pages you want to print:
All | Prints the entire document.
Selection | Prints the currently selected text.
Pages | Prints the range of pages you specify in the From and To boxes.

Copies
Specify the number of copies you want to print for the above page range.
Collate Copies
Prints copies in page number order, instead of separated multiple copies of each page.
Print Quality
Select the quality of the printing. Generally, lower quality printing takes less time to produce.


File Print Preview command

Print Preview command (File menu)

Use this command to display the active document as it would appear when printed. When you choose this command, the main window will be replaced with a print preview window in which one or two pages will be displayed in their printed format. The print preview toolbar offers you options to view either one or two pages at a time; move back and forth through the document; zoom in and out of pages; and initiate a print job.


File Page Setup Command

Page Setup command (File menu)

<< Write application-specific help here. >>


Print Progress Dialog

The Printing dialog box is shown during the time that CleanReg is sending output to the printer. The page number indicates the progress of the printing.

To abort printing, choose Cancel.


File Print command

Print command (File menu)

Use this command to print a document. This command presents a Print dialog box, where you may specify the range of pages to be printed, the number of copies, the destination printer, and other printer setup options.

Shortcuts

Toolbar:

Keys: CTRL+P


File Print Setup command

Print Setup command (File menu)

Use this command to select a printer and a printer connection. This command presents a Print Setup dialog box, where you specify the printer and its connection.